Summary: 	Partition Image
Name: 		partimage
Version: 	0.6.9
Release: 	%mkrel 2
URL: 		http://www.partimage.org/
License: 	GPLv2
Group: 		Archiving/Backup
Source: 	%{name}-%{version}.tar.bz2
Source1:	partimage.1
Source2:	partimaged.8
Source3:	partimagedusers.5
Source4:	partimaged-sysconfig
Source5:	partimaged-init.d
Patch3: 	partimage-0.6.7-ssl-certs-policy.patch
Patch13:	partimage-0.6.7-splash.patch
Patch14:	partimage-0.6.9-fedora-gzfile.patch
Patch15:	partimage-0.6.9-automake-1.13.patch
Patch16:	partimage-0.6.9-no-sslv2.patch
# from debian: fix build config with openssl 1.1
Patch17:	03-openssl11.patch
Patch18:	partimage-0.6.9-sysmacros.patch
BuildRequires:	automake1.8
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libnewt)
BuildRequires:	openssl
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	rpm-helper >= 0.21
Requires:	openssl > 0.9.6
Requires(post): rpm-helper >= 0.21

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the following file system formats to an image file:
- Ext2FS & Ext3FS (the Linux standard),
- FAT16/32 (DOS & Windows file systems),
- HFS (MacOS File System),
- JFS (Journalised File System, from IBM, used on AIX),
- NTFS (Windows NT File System),
- HPFS (IBM OS/2 File System),
- ReiserFS (a journalized and powerful file system),
- UFS (Unix File System),
- XFS (another journalized and efficient File System, from SGI, used on Irix),

Only used blocks are copied. The image file can be
compressed into the GZIP/BZIP2 formats to save disk space, and split
into multiple files to be copied onto floppies (ZIP for example),
or burned on a CD-R ...

This allows saving a full Linux/Windows system, with only one
operation. When problems (viruses, crash, error, ...) occur, you just have to
restore, and after several minutes, all your system is restored (boot,
files, ...), and fully working.

This is very useful when installing the same software on many
machines: just install one of them, create an image, and just restore
the image on all other machines. Then, after the first one, each
installation is automatically made, and only requires a few minutes.

%prep
%setup -q
%apply_patches

for i in %{_datadir}/automake-1.*/mkinstalldirs; do cp -f $i .; done

%build
cp %{_datadir}/gettext/config.rpath .
autoreconf -fi
%configure2_5x
%make_build

%install
%make_install

rm -rf %{buildroot}%{_infodir}/*

install -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/partimage.1
install -m644 %{SOURCE2} -D %{buildroot}%{_mandir}/man8/partimaged.8
install -m644 %{SOURCE3} -D %{buildroot}%{_mandir}/man5/partimagedusers.5
install -m644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/partimaged
install -m755 %{SOURCE5} -D %{buildroot}%{_initrddir}/partimaged

cat > README.pclos <<EOF
RPM specific notes

setup
-----
In order to comply with SSL certificates policy, partimage binary has
been modified to use the following files:
- /etc/pki/tls/certs/partimage.pem instead of default
  /etc/partimaged/partimaged.cert
- /etc/pki/tls/private/partimage.pem instead of default
  /etc/partimaged/partimaged.key
EOF

%find_lang %{name}

%pre
/usr/sbin/groupadd -r -f partimag > /dev/null 2>&1 ||:
/usr/sbin/useradd -g partimag -d /home/partimag -r -s /bin/bash partimag > /dev/null 2>&1 ||:

%post
dir=/var/lib/partimage
if [ ! -d $dir ]; then
    mkdir -p $dir/{dev,etc,%_lib,var/log}
    cp -a /dev/{null,tty} $dir/dev
    cp /%_lib/{libnss_compat.so.2,libnss_files.so.2} $dir/%_lib
    grep partimag /etc/passwd > $dir/etc/passwd
    grep partimag /etc/group > $dir/etc/group
    install -d -o partimag $dir/data
fi
# now all you have to do is run partimaged -D --chroot /var/lib/partimage
%_post_service partimaged
%_create_ssl_certificate partimage -g partimag

%preun
%_preun_service partimaged

%files -f %{name}.lang
%doc BUGS AUTHORS ABOUT-NLS COPYING ChangeLog partimage.lsm
%doc FORMAT README README.partimaged README.pclos THANKS
%{_sbindir}/*
%{_sysconfdir}/sysconfig/partimaged
%{_initrddir}/partimaged
%attr(0600,partimag,partimag) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers
%{_mandir}/man1/partimage.1*
%{_mandir}/man5/partimagedusers.5*
%{_mandir}/man8/partimaged.8*


%changelog
* Tue Jun 18 2019 tex 0.6.9-2pclos2019
- update
